
module.exports = function(...classImports) {
  return function(classNames, options = { global: false }) {
    let sourceClasses = [];
    if (typeof classNames === 'object') {
        sourceClasses = Object.keys(classNames).filter( cn => !!classNames[cn] );
    } else {
        sourceClasses = classNames.split(/[\s]+/);
    }
    let allClasses = [];
    sourceClasses.forEach(className => {
      let found = false;
      classImports.forEach(mapObject => {
        if (mapObject[className]) {
          allClasses.push(mapObject[className]);
          found = true;
        }
      });
      if (!found || options.global) {
        allClasses.push(className);
      }
    });
    return allClasses.join(' ');
  }
}
