import classnames from '../src';
import { expect } from 'chai';

describe('classnames', () => {
    it('should report string of mapped name if found', () => {
        const css = classnames({ 'link': 'one__link__2' });
        expect(css('link')).to.eql('one__link__2');
    });
    it('should report more than one class if found', () => {
        const css = classnames({
            'link': 'one__link__2',
            'my-link-class': 'my__link_21'
        });
        expect(css('link my-link-class')).to.eql('one__link__2 my__link_21');
    });
    it('should report simple class name if not found', () => {
        const css = classnames({
            'link': 'one__link__2',
            'my-link-class': 'my__link_21'
        });
        expect(css('link my-link-class my-not-found'))
            .to.eql('one__link__2 my__link_21 my-not-found');
    });
    it('should perform the same on objects', () => {
        const css = classnames({
            'link': 'one__link__2',
            'my-link-class': 'my__link_21'
        });
        expect(css({ link: true, 'my-link-class': false }))
            .to.eql('one__link__2');
    });
});
